SED = $(shell which gsed || echo sed)

.PHONY: all clean

all: $(WWW_ROOT) before.html $(WWW_ROOT)/index.html $(WWW_ROOT)/index_slides.html 

before.html: before.md
	pandoc -o $@ $<

$(WWW_ROOT)/index.html: index.md 
	$(SED) -r 's/#include (.*)/cat \1\n/e' $< | pandoc --template template.html --toc --toc-depth 1 --include-before before.html -s -o $@ 

$(WWW_ROOT)/index_slides.html: index.md 
	$(SED) -r 's/#include (.*)/cat \1\n/e' $< | pandoc --template template_slidy.html --toc-depth 1 -t slidy -s -o $@ 

clean:

